classification
Title: Document PySequence_List(o) as equivalent to list(o)
Type: Stage: resolved
Components: Documentation Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, berker.peksag, docs@python, georg.brandl, lars, python-dev, tim.peters
Priority: normal Keywords: patch

Created on 2014-12-18 13:15 by lars, last changed 2015-03-13 00:56 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
PySequence_List-doc.patch lars, 2014-12-18 13:15 Document PySequence_List(o) as equivalent to list(o) in Doc/c-api/sequence.rst review
Messages (5)
msg232875 - (view) Author: Lars (lars) Date: 2014-12-18 13:15
PySequence_List has accepted iterables since changeset 6c82277e77f3 of May 1, 2001 ("NEEDS DOC CHANGES" :), but its documentation still only speaks of sequences. I suggest that it is changed to promise to handle arbitrary iterables, just like PySequence_Tuple.
msg237545 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-08 17:19
LGTM, can we have a formal review please.
msg237549 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2015-03-08 17:56
+1
msg238000 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-13 00:55
New changeset e31e987207ab by Berker Peksag in branch '3.4':
Issue #23081: Document that PySequence_List also accepts iterables.
https://hg.python.org/cpython/rev/e31e987207ab

New changeset eb4a0048978c by Berker Peksag in branch 'default':
Issue #23081: Document that PySequence_List also accepts iterables.
https://hg.python.org/cpython/rev/eb4a0048978c
msg238001 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-03-13 00:56
Thanks for the report and the patch, Lars.
History
Date User Action Args
2015-03-13 00:56:10berker.peksagsetstatus: open -> closed
versions: + Python 3.4
messages: + msg238001

resolution: fixed
stage: resolved
2015-03-13 00:55:10python-devsetnosy: + python-dev
messages: + msg238000
2015-03-08 17:56:38georg.brandlsetnosy: + georg.brandl
messages: + msg237549
2015-03-08 17:19:26BreamoreBoysetnosy: + BreamoreBoy
messages: + msg237545
2014-12-19 02:15:34berker.peksagsetnosy: + tim.peters, berker.peksag
2014-12-18 13:15:20larscreate